View Issue Details

IDProjectCategoryView StatusLast Update
0000046WolfAdminGeneralpublic2019-01-31 18:31
ReporterTimoAssigned ToTimo 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target Version1.2.0Fixed in Version1.3.0 
Summary0000046: Support other mods
Description* silentmod
* legacy
Additional Information* alternative to shrubbot
* selection of DB system + libs (ETL built-in or not)
* basic admin commands
* rewrite texts (e.g. 'additional commands' in !help)
* UTF-8 database (legacy)
TagsNo tags attached.
ModN/A
Mod version
Standaloneno

Relationships

parent of 0000048 resolvedTimo Compatibility with Lua 5.3 
parent of 0000061 resolvedTimo Standalone mode 
parent of 0000087 assignedTimo Censor 
parent of 0000095 assignedTimo Spree sounds & Multikill & Multirevive & Teamkiller 
parent of 0000090 new Implement inactivity checking 
Not all the children of this issue are yet resolved or closed.

Activities

There are no notes attached to this issue.

Related Changesets

WolfAdmin: develop/1.2.0 3231ea6c

2017-01-21 17:34:36

Timo

Details Diff
Implemented /pm and /r for legacymod (refs 0000046) Affected Issues
0000046
mod - luamods/wolfadmin/commands/client/pm.lua Diff File
mod - luamods/wolfadmin/commands/client/r.lua Diff File

WolfAdmin: develop/1.2.0 04c78f08

2017-01-21 18:04:31

Timo

Details Diff
Fixed !stats command on legacymod (refs 0000046) Affected Issues
0000046, 0000064
mod - luamods/wolfadmin/commands/admin/stats.lua Diff File

WolfAdmin: develop/1.2.0 416b3bbb

2017-02-08 14:05:54

Timo

Details Diff
Fixed poll results on legacy (refs 0000046) Affected Issues
0000046
mod - luamods/wolfadmin/main.lua Diff File

WolfAdmin: develop/1.2.0 4a80ab72

2017-02-08 18:18:51

Timo

Details Diff
Fixed rename limit (refs 0000046)

* moved name change detection to players module
* rename limit now kicks instead of name forcing
* rename limit now actually calculates over past minute (approximately)
* removed g_renameInterval, obsolete
Affected Issues
0000046
mod - luamods/wolfadmin/admin/admin.lua Diff File
mod - luamods/wolfadmin/players/players.lua Diff File
mod - luamods/wolfadmin/util/settings.lua Diff File

WolfAdmin: develop/1.2.0 3954583b

2017-02-08 22:51:12

Timo

Details Diff
Fixed in-memory database not being detected (refs 0000046) Affected Issues
0000046
mod - luamods/wolfadmin/db/sqlite3.lua Diff File

WolfAdmin: develop/1.2.0 fe30fe8d

2017-03-16 21:02:23

Timo

Details Diff
PM can now be sent to multiple recipients (refs 0000046) Affected Issues
0000046
mod - luamods/wolfadmin/commands/client/pm.lua Diff File

WolfAdmin: develop/1.2.0 de27a417

2018-02-16 12:20:23

Timo

Details Diff
Fixed shrubbot flags for other mods (refs 0000046, 0000069, 0000062)

* changed !greeting flag from 'Q' to 'j' to maintain consistency across mods
* changed !cointoss flag to 'Z' so we do not take up another flag
* moved flags to separate files for each mod that includes shrubbot, autoloads on game init
Affected Issues
0000046, 0000062, 0000069
mod - luamods/wolfadmin/auth/auth.lua Diff File
mod - luamods/wolfadmin/auth/shrubbot.lua Diff File
add - luamods/wolfadmin/auth/shrubbot/etpub.lua Diff File
add - luamods/wolfadmin/auth/shrubbot/nq.lua Diff File
add - luamods/wolfadmin/auth/shrubbot/silent.lua Diff File

WolfAdmin: develop/1.2.0 7f058348

2019-01-04 18:10:03

Timo

Details Diff
Added MySQL collation conversion (refs 0000046) Affected Issues
0000046
mod - database/upgrade/1.1.0/mysql.sql Diff File

Issue History

Date Modified Username Field Change
2016-02-10 15:37 Timo New Issue
2016-02-10 15:42 Timo Relationship added parent of 0000048
2016-03-01 09:02 Timo Additional Information Updated View Revisions
2016-03-04 12:25 Timo Relationship added parent of 0000055
2016-03-09 09:11 Timo Additional Information Updated View Revisions
2017-01-12 18:30 Timo Relationship deleted parent of 0000055
2017-01-12 18:31 Timo Relationship added parent of 0000061
2017-01-21 17:34 Timo Changeset attached => WolfAdmin develop 3231ea6c
2017-01-21 18:04 Timo Changeset attached => WolfAdmin develop 04c78f08
2017-02-08 14:06 Timo Changeset attached => WolfAdmin develop 416b3bbb
2017-02-08 18:22 Timo Changeset attached => WolfAdmin develop 4a80ab72
2017-02-08 22:51 Timo Changeset attached => WolfAdmin develop 3954583b
2017-03-16 21:02 Timo Changeset attached => WolfAdmin develop/1.2.0 fe30fe8d
2018-02-16 12:20 Timo Changeset attached => WolfAdmin develop/1.2.0 de27a417
2018-02-16 12:28 Timo Assigned To => Timo
2018-02-16 12:28 Timo Status new => assigned
2019-01-04 18:06 Timo Changeset attached => WolfAdmin develop/1.2.0 7f058348
2019-01-04 18:07 Timo Status assigned => closed
2019-01-04 18:07 Timo Resolution open => fixed
2019-01-04 18:07 Timo Fixed in Version => 1.3.0
2019-01-04 18:07 Timo Status closed => resolved
2019-01-31 18:29 Timo Relationship added related to 0000095
2019-01-31 18:29 Timo Relationship added parent of 0000087
2019-01-31 18:30 Timo Relationship deleted related to 0000095
2019-01-31 18:30 Timo Relationship added parent of 0000095
2019-01-31 18:31 Timo Relationship added parent of 0000090